﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="FileUpload.aspx.cs" Inherits="FileUpload" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="Scripts/jquery/jquery-1.9.1.js" type="text/javascript"></script>
    <script src="Scripts/ajaxfileupload.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#btnUpload").on('click', DoUpload);
        })

        function DoUpload() {
            var image = $("#txtPath").val();
            if ($.trim(image) == "") {
                alert("请选择文件！");
                return;
            }

            $.ajaxFileUpload(
            {
                url: 'Handler/FileUploadHandler.ashx?type=Attachment', //用于文件上传的服务器端请求地址
                secureuri: false,           //一般设置为false
                fileElementId: $("#fleFile").attr("id"), //文件上传控件的id属性
                dataType: 'json',
                success: function (data, status)  //服务器成功响应处理函数
                {
                    if (data.url === "") {
                        alert("上传失败！");
                    } else {
                        alert("上传成功！");
                    }
                },
                error: function (result) {
                    alert("上传失败！");
                }
            });
        }
    </script>
    <style type="text/css">
        #fleFile
        {
            float: left;
            width: 60px;
            z-index: 999;
            position: absolute;
            left: 200px;
            height: 24px;
            cursor: pointer;
            opacity: 0;
            filter: alpha(opacity=0);
        }
        .button
        {
            width: 100px;
            height: 24px;
            cursor: pointer;
            background: #fafafa;
            border: 1px solid #95b8e7;
            text-align: center;
            line-height: 24px;
        }
        #uploadarea
        {
            padding-left: 20px;
            padding-top: 20px;
        }
    </style>
</head>
<body>
    <div id="ImageMaintain">
        <input type="hidden" name="hidImgUrl" id="hidImgUrl" value="" />
        <div id="uploadarea">
            <input id="txtPath" type="text" disabled="disabled" />
            <input id="fleFile" type="file" name="fleFile" onchange="document.getElementById('txtPath').value = this.value;return false;" />
            <input id="btnSelect" type="button" value="选择" class="button" style="width: 60px;" />
            <input id="btnUpload" type="button" value="上传" class="button" style="width: 60px;" />
        </div>
    </div>
</body>
</html>
